Changeset 424


Ignore:
Timestamp:
Oct 10, 2012, 2:29:19 AM (8 years ago)
Author:
ehem
Message:

Small adjustments. Reenable invalidating the checkout in case of patch
failure. This is cheaper now, since it takes advantage of Subversion to clean
things.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/contrib/openwrt/openwrt.mk

    r418 r424  
    102102        while read pat ; \
    103103        do \
    104                 pati=$$(echo $${pat} | sed 's!$(OPENWRT_PATCHES_DIR)/!!') ; \
     104                pati=$$(echo $${pat} | sed -e's!$(TOPDIR)/!!') ; \
    105105                if ! patch -d "$(OPENWRT_BUILD_DIR)" -p 0 -N < $${pat} ; \
    106106                then \
    107107                        echo ">> fail: $${pati}" > /dev/stderr ; \
    108                         #rm -f openwrt/checkout "$(OPENWRT_BUILD_DIR)/.debwrt.checkout.stamp" ; \
    109                         [ $(FORCE_PATCH) != "1" ] && exit 1 || true ; \
     108                        [ "$(FORCE_PATCH)" = "1" ] || ( \
     109                          rm -f openwrt/checkout "$(OPENWRT_BUILD_DIR)/.debwrt.checkout.stamp" ; \
     110                          exit 1 ); \
    110111                else \
    111112                        echo ">> success: $${pati}" ; \
     
    130131        while read pat ; \
    131132        do \
    132                 pati=$$(echo $${pat} | sed 's!$(OPENWRT_PATCHES_DIR)/!!') ; \
     133                pati=$$(echo $${pat} | sed -e's!$(TOPDIR)/!!') ; \
    133134                if ! patch -d "$(OPENWRT_BUILD_DIR)" -p 0 -R < $${pat} ; \
    134135                then \
    135136                        echo ">> fail: $${pati}" > /dev/stderr ; \
    136                         #rm -f openwrt/checkout "$(OPENWRT_BUILD_DIR)/.debwrt.checkout.stamp" ; \
    137                         [ $(FORCE_PATCH) != "1" ] && exit 1 || true; \
     137                        [ "$(FORCE_PATCH)" = "1" ] || ( \
     138                          rm -f openwrt/checkout "$(OPENWRT_BUILD_DIR)/.debwrt.checkout.stamp" ; \
     139                          exit 1 ); \
    138140                else \
    139141                        echo ">> success: $${pati}" ; \
Note: See TracChangeset for help on using the changeset viewer.